cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement

## Class EHC_E15

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement.EHC_E15

-     public final class EHC_E15
      extends Message

  EHC_E15 - Additional Information Response (event E15). This message is used to send a payment/ remittance advice to a Payee for the payment of HealthCare Services Invoices and/or other adjustments.

  Represents a EHC_E15 message structure (see chapter 16.3.9). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) MULTIPLE_OPTIONAL
  3: PAYMENT_REMITTANCE_HEADER_INFO (Group of EHC_E15 event) MULTIPLE_OPTIONAL
  4: PAYMENT_REMITTANCE_DETAIL_INFO (Group of EHC_E15 event) MULTIPLE_OPTIONAL
  5: ADJUSTMENT_PAYEE (Group of EHC_E15 event) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  EHC_E15 objE15 = (EHC_E15)MessageFactory.createInstance().createSendSupportedMessage("EHC", "E15");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdjustmentPayeeGroup(IGroup objGroup)` Adds ADJUSTMENT_PAYEE to this message.
    `void` | `addAdjustmentPayeeGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of ADJUSTMENT_PAYEE to this message.
    `void` | `addPaymentRemittanceDetailInfoGroup(IGroup objGroup)` Adds PAYMENT_REMITTANCE_DETAIL_INFO to this message.
    `void` | `addPaymentRemittanceDetailInfoGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PAYMENT_REMITTANCE_DETAIL_INFO to this message.
    `void` | `addPaymentRemittanceHeaderInfoGroup(IGroup objGroup)` Adds PAYMENT_REMITTANCE_HEADER_INFO to this message.
    `void` | `addPaymentRemittanceHeaderInfoGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PAYMENT_REMITTANCE_HEADER_INFO to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)` Adds collection of User Authentication Credential Segment(UAC) to this message.
    `void` | `addUserAuthenticationCredentialSegment(UAC objUAC)` Adds User Authentication Credential Segment(UAC) to this message.
    `ISingleCollection<IGroup>` | `getAdjustmentPayeeGroups()` Retrieves Collection of ADJUSTMENT_PAYEE present in this message.
    `ISingleCollection<IGroup>` | `getPaymentRemittanceDetailInfoGroups()` Retrieves Collection of PAYMENT_REMITTANCE_DETAIL_INFO present in this message.
    `ISingleCollection<IGroup>` | `getPaymentRemittanceHeaderInfoGroups()` Retrieves Collection of PAYMENT_REMITTANCE_HEADER_INFO present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<UAC>` | `getUserAuthenticationCredentialSegments()` Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this message to this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegments

          public ISingleCollection<UAC> getUserAuthenticationCredentialSegments()

      Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.
      Returns:
        ISingleCollection - Collection of User Authentication Credential Segments(UAC) present in this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(UAC objUAC)

      Adds User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUAC` - Specified User Authentication Credential Segment(UAC) to be added in this message to this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)

      Adds collection of User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUACSegmentCollection` - Collection of User Authentication Credential Segments to add in this message

    - #### getPaymentRemittanceHeaderInfoGroups

          public ISingleCollection<IGroup> getPaymentRemittanceHeaderInfoGroups()

      Retrieves Collection of PAYMENT_REMITTANCE_HEADER_INFO present in this message.
      Returns:
        ISingleCollection - Collection of PAYMENT_REMITTANCE_HEADER_INFO present in this Message.

    - #### addPaymentRemittanceHeaderInfoGroups

          public void addPaymentRemittanceHeaderInfoGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PAYMENT_REMITTANCE_HEADER_INFO to this message.
      Parameters:
        `objSingleCollection` - - Specified PAYMENT_REMITTANCE_HEADER_INFO Collection.

    - #### addPaymentRemittanceHeaderInfoGroup

          public void addPaymentRemittanceHeaderInfoGroup(IGroup objGroup)

      Adds PAYMENT_REMITTANCE_HEADER_INFO to this message.
      Parameters:
        `objGroup` - Specified PAYMENT_REMITTANCE_HEADER_INFO.

    - #### getPaymentRemittanceDetailInfoGroups

          public ISingleCollection<IGroup> getPaymentRemittanceDetailInfoGroups()

      Retrieves Collection of PAYMENT_REMITTANCE_DETAIL_INFO present in this message.
      Returns:
        ISingleCollection - Collection of PAYMENT_REMITTANCE_DETAIL_INFO present in this Message.

    - #### addPaymentRemittanceDetailInfoGroups

          public void addPaymentRemittanceDetailInfoGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PAYMENT_REMITTANCE_DETAIL_INFO to this message.
      Parameters:
        `objSingleCollection` - - Specified PAYMENT_REMITTANCE_DETAIL_INFO Collection.

    - #### addPaymentRemittanceDetailInfoGroup

          public void addPaymentRemittanceDetailInfoGroup(IGroup objGroup)

      Adds PAYMENT_REMITTANCE_DETAIL_INFO to this message.
      Parameters:
        `objGroup` - Specified PAYMENT_REMITTANCE_DETAIL_INFO.

    - #### getAdjustmentPayeeGroups

          public ISingleCollection<IGroup> getAdjustmentPayeeGroups()

      Retrieves Collection of ADJUSTMENT_PAYEE present in this message.
      Returns:
        ISingleCollection - Collection of ADJUSTMENT_PAYEE present in this Message.

    - #### addAdjustmentPayeeGroups

          public void addAdjustmentPayeeGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of ADJUSTMENT_PAYEE to this message.
      Parameters:
        `objSingleCollection` - - Specified ADJUSTMENT_PAYEE Collection.

    - #### addAdjustmentPayeeGroup

          public void addAdjustmentPayeeGroup(IGroup objGroup)

      Adds ADJUSTMENT_PAYEE to this message.
      Parameters:
        `objGroup` - Specified ADJUSTMENT_PAYEE.